#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

int medijana(vector<int>);
int provera(vector<int>, vector<int>, int, int);
int indeksElementa(vector<int>, int);
int posleKogIndeksa(vector<int>, int);

int main(void){

    int n, q;
    cin >> n;
    cin >> q;

    vector<int> a;
    vector<int> b;

    for(int i=0; i<n; ++i){
        int pom;
        cin >> pom;
        a.push_back(pom);
    }
        

    for(int i=0; i<q; ++i){
        int pom;
        cin >> pom;
        b.push_back(pom);
    }

    sort(a.begin(), a.end());

    int med = medijana(a);

    for(int i=0; i<b.size(); ++i){
        cout << provera(a, b, med, b[i]) << endl;
    }
    

    return 0;
}

int posleKogIndeksa(vector<int> v, int trazeniBroj){
    for(int j = 0; j < (v.size() - 1); ++j){
        if(trazeniBroj > v[j] && trazeniBroj < v[j+1])
            return j;
    }

}

int indeksElementa(vector<int> v, int trazeniBroj)
{
    auto it = find(v.begin(), v.end(), trazeniBroj);
  
    if (it != v.end()) 
    {
        int indeks = it - v.begin();
        return indeks;
    }
}

int medijana(vector<int> vek){
    return vek[vek.size()/2];
}

int provera(vector<int> a, vector<int> b, int medijana, int brKojiTrebaDaBudeMedijana){

    int x = brKojiTrebaDaBudeMedijana;
    bool daLiSeNalazi = binary_search(a.begin(), a.end(), x);
    if(medijana == x)
       return 0;
    else if(x > a.back()){
        return a.size();
    }
    else if(x == a.back())
        return a.size() - 2;
    else{
        if(daLiSeNalazi){ 
            int indeksTrazenog = indeksElementa(a, x);
            int kolikoBrojevaImaPosleTrazenog = (a.size() - 1) - indeksTrazenog;
            int kolikoNamTrebaZaMedijanu = indeksTrazenog - 1;
            return kolikoNamTrebaZaMedijanu - kolikoBrojevaImaPosleTrazenog;
        }
        else{
            int indeksNaKojiSeUbacujeBroj = posleKogIndeksa(a, x) + 1;
            int noviBrElemenata = a.size()+1;
            int BrPosleTrazenog = (noviBrElemenata - 1) - indeksNaKojiSeUbacujeBroj;
            int zaMedijanu = indeksNaKojiSeUbacujeBroj - 1;
            return zaMedijanu - BrPosleTrazenog;
        }   
    }
}